<?php

namespace Form;

/**
 * Class Form
 * @package Form
 */
abstract class Form implements FormValidatorInterface
{
    use FormValidatorTrait;

    /**
     * @var FieldValidatorInterface[]
     */
    protected $fields;

    /**
     * Form constructor.
     */
    public function __construct()
    {
        $this->fields = array();
    }

    /**
     * @param FieldValidatorInterface $field
     * @return $this
     */
    public function add(FieldValidatorInterface $field)
    {
        $this->fields[] = $field;
        return $this;
    }

    /**
     * @return FieldValidatorInterface[]
     */
    protected function getFields()
    {
        return $this->fields;
    }
}
