<?php
/**
 * Created by PhpStorm.
 * User: gabriel
 * Date: 10/09/18
 * Time: 13:16
 */

namespace Form\FullForm;

/**
 * An OptionInterface is a possible value for a field. For example an option element in a select.
 */
interface OptionInterface
{
    /**
     * @return string
     */
    public function getValue();

    /**
     * @param string $value
     * @return OptionInterface
     */
    public function withValue($value);

    /**
     * @return string
     */
    public function getName();

    /**
     * @param string $name
     * @return OptionInterface
     */
    public function withName($name);

    /**
     * @return bool
     */
    public function isSelected();

    /**
     * @param bool $selected
     * @return OptionInterface
     */
    public function withSelected($selected);

    /**
     * @return bool
     */
    public function isDisabled();

    /**
     * @param bool $disabled
     * @return OptionInterface
     */
    public function withDisabled($disabled);
}
